package cn.com.qmth.stmms.biz.distributpaper.service;

import java.util.List;

import cn.com.qmth.stmms.biz.distributpaper.model.FormallyHistory;
import cn.com.qmth.stmms.biz.distributpaper.query.FormallyHistorySearchQuery;

public interface FormallyHistoryService {

    FormallyHistory save(FormallyHistory formallyHistory);

    FormallyHistory findById(Integer id);

    void deleteById(Integer id);

    void delete(FormallyHistory formallyHistory);

    List<FormallyHistory> getHistoryByScorer(Integer examId, Integer subjectId, Integer blockId, Integer scorer);

    List<FormallyHistory> getHistoryByScorerAndIsChecked(Integer examId, Integer subjectId, Integer blockId,
            Integer scorer, boolean isChecked);

    FormallyHistorySearchQuery findByQuery(FormallyHistorySearchQuery query);

    List<FormallyHistory> findByLibraryId(int libraryId);

    public FormallyHistory findLastByLibraryId(int libraryId);

    List<FormallyHistory> findByScorer(int markerId);

}
